# Setup

1) Install the dependencies

```sh
npm install
```

# Development

Do the setup first.

1) Watch for changes (during development)

```sh
npm run watch
```

# Public documentation

1) Edit the markdown files in `docs/`

2) Run a static server

```sh
cd docs/
python -m http.server 8080
```

3) Urls:

```sh
http://localhost:8080/search
http://localhost:8080/map
```

# NPM publish

1) Build the plugin (before commit / push)

```sh
npm run build
```

2) Publish the plugin

```sh
npm publish
```
